<?php

// rod@wgo.com.br - obtem um arquivo csv com os dados dos usuarios do portal e envia por e-mail

require __DIR__.'/vendor/php-activerecord/ActiveRecord.php';
require __DIR__.'/vendor/phpmailer/PHPMailerAutoload.php';
require __DIR__.'/src/config.php';
require __DIR__.'/interfaces/UserInterface.php';
require __DIR__.'/vendor/helpers.php';

$arquivoRelatorio = 'usuarios.csv';
$destinatarios = ['infraestrutura@wgo.com.br', 'wellington-ts@sed.go.gov.br', 'stwellington@gmail.com'];

$users = User::find('all', ['select' => 'nome, cpf, telefone, created_at', 'order' => 'created_at']);

$dadosUsuarios = array_map(function($user) {
    return [fmt_string($user->nome), $user->cpf, $user->telefone, $user->created_at->format('d/m/Y H:i:s')];
}, $users);

$handle = fopen($arquivoRelatorio, 'w');

$header = ['nome', 'cpf', 'telefone', 'criado em'];

fputcsv($handle, $header, ';');

$ret = array_walk($dadosUsuarios, function($dadoUsuario) use ($handle) {
    fputcsv($handle, $dadoUsuario, ';');
});

fclose($handle);

// envia os dados por e-mail

if (filesize($arquivoRelatorio)) {

$html = '
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <title>Relatrio de Cadastro dos Usurios</title>
</head>
<body>
<h2>Relatrio de Cadastro dos Usurios - Catalo Conectado</h2>
<p>Em anexo arquivo <strong>.csv</strong> com os dados de cadastro dos usurios no projeto <strong>Catalo Conectado</strong> at %s.</p>
</body>
</html>';

    $html = sprintf($html, strftime('%d/%m/%Y %T'));

    $mail = new PHPMailer;
    $mail->setFrom('noc@wgo.com.br', 'WGO Telecom');

    foreach ($destinatarios as $destinatario) {
        $mail->addAddress($destinatario);
    }

    $mail->addAttachment($arquivoRelatorio);

    $mail->Subject = strftime("%d/%m/%Y %T").' - Relatrio de Cadastro de Usurios - Catalo Conectado';
    $mail->isHTML(true);
    $mail->Body = $html;
    $mail->send();
}
