<?php

/*
|-------------------------------------------------------------
| recover.php
|-------------------------------------------------------------
| exibe o codigo de acesso recuperado
|
*/

session_start();
require_once __DIR__ . '/vendor/autoload.php';

if(!isset($_SESSION['mac'])) { // usuario chegou nessa pagina diretamente sem passar pelo UniFi
	include('acesso_direto.php');
	exit;
} else { // provavelmente existe o MAC do dispositivo gravado na sessao
	$mac = $_SESSION['mac'];
	$app = new App();
	$codigoAcesso = $app->recuperarCodigoAcesso(new Pin(), ['mac' => $mac]);

	if($codigoAcesso === false) {
		$mensagem = 'Não há código de acesso para esse dispositivo ainda!';
		$class='alert alert-warning';
	} else {
		$mensagem = sprintf('O código de acesso para esse dispositivo é %s', $codigoAcesso);
		$class='alert alert-success';
	}
}

?>

<!DOCTYPE html>
<html lang="pt_br">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Catalão Conectado</title>

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/bootstrap-theme.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <div class="geral container">
      <header>
        <div class="col-md-6 col-sm-6 col-xs-6">
          <a href="http://www.catalao.go.gov.br/" target="_blank"> <img class="img-responsive pull-left"  src="images/logo_projeto.png"></a>
        </div>
        <div class="col-md-6 col-sm-6 col-xs-6 text-right">
          <a href="http://www.catalao.go.gov.br/" target="_blank"> <img class="img-responsive pull-right" src="images/logo.png"></a>
        </div>
        <div class="col-md-12 col-sm-12 col-xs-12">
         <h3 class="text-center text-slogan"><em>Catalão Conectado</em>, <BR>nossa <em>NOVA INCLUSÃO DIGITAL</em></h3>
        </div>
      </header>
      <div class="content">
      	<br />
        <div class="col-md-12 col-sm-12 col-xs-12">
        <p></p>
         <div class="<?= $class; ?>">
         	<p><?= $mensagem; ?></p>
          </div>
        </div>
      </div> <!-- end content -->
       <footer style="clear:both">
        <a href="index" class="btn btn-success">INÍCIO</a>
        <div class="col-md-6 col-sm-6 col-xs-6">
          <br />
          <br />
          <br />
          <div class="col-md-2 col-sm-6 col-xs-6">
            <a href="http://www.wgo.com.br" target="_blank"><img class="pull-left img-responsive" src="images/logo_wifi.png"></a>
          </div>
          <div class="col-md-3 col-sm-6 col-xs-6">
            <a href="http://www.catalao.go.gov.br/" target="_blank"><img class="pull-left img-responsive" src="images/logo_small.png"></a>
          </div>
        </div>
        <br />
        <br />
        <div class="col-md-6 col-sm-6 col-xs-3">
          <a href="http://www.wgo.com.br" target="_blank"><img class="pull-right img-responsive" src="images/logo_wgo.png"></a>
        </div>
      </footer>
    </div> <!-- end container -->
    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="js/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="js/bootstrap.min.js"></script>
  </body>
</html>
