<?php

/*
|-------------------------------------------------------------------------------------------------------------------
| Obtem relatorio e envia o resultado por e-mail
|-------------------------------------------------------------------------------------------------------------------
*/

require __DIR__.'/vendor/php-activerecord/ActiveRecord.php';
require __DIR__.'/vendor/phpmailer/PHPMailerAutoload.php';
require __DIR__.'/src/config.php';

$adapter = ActiveRecord\ConnectionManager::get_connection();
$connection = $adapter->connection;

$row = $connection->query("SELECT count(*) FROM users");
$totalUsuarios = $row->fetchColumn();

$sql = "select pontos.nome, pontos.cidade, count(*) as total
		from pins, equipamentos_pontos, pontos
		where pins.created_at_access_point = equipamentos_pontos.mac and equipamentos_pontos.id_ponto = pontos.id
		group by equipamentos_pontos.id_ponto
		order by total";

ob_start();

?>

<!DOCTYPE html>
<html lang="pt-br">
<head>
	<title>Catalo Conectado</title>
	<link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
</head>
<body>
<h2>Relatrio de Acessos - Catalo Conectado</h2>
<table class="table table-striped table-condensed">
	<thead>
		<tr>
			<th>Ponto</th>
			<th>Cidade</th>
			<th>Total</th>
		</tr>
	</thead>
	<tbody>
		<?php
			foreach($connection->query($sql) as $row) {
				printf("<tr>
							<td>%s</td>
							<td>%s</td>
							<td>%s</td>
						</tr>", $row['nome'], $row['cidade'], $row['total']);
			}
		?>
	</tbody>
</table>
<p></p>
<div class="alert alert-success">Total Usurios: <strong><?= $totalUsuarios; ?></strong></div>
</body>
</html>

<?php

$html = ob_get_contents();
ob_end_clean();

if('cli' != php_sapi_name()) { // se for chamado via browser, entao exibe os resultados
	echo $html;
} else { // se for chamado via linha de comando (e.g., entrada no crontab), entao envia os resultados por e-mail
	$mail = new PHPMailer;
	$mail->setFrom('noc@wgo.com.br', 'WGO Telecom');
	$mail->addAddress('noc@wgo.com.br');
	$mail->addAddress('stwellington@gmail.com');
	$mail->addAddress('wellington-ts@sed.go.gov.br');
	$mail->Subject = strftime("%d/%m/%Y %T").' - Relatrio Catalo Conectado';
	$mail->isHTML(true);
	$mail->Body = $html;
	$mail->send();
}
