#!/bin/bash
# rod@wgo.com.br

if [ $# -lt 6 ]; then
    echo "Usage: $0 <mac> <minutes> <username> <password> <baseurl> <sitename>"
    exit 1
fi

mac="$1"
minutes="$2"
username="$3"
password="$4"
baseurl="$5"
site="$6"
site=${site:=default}

cookie=/tmp/unifi_cookie

curl_cmd="/usr/bin/curl --tlsv1 --silent --cookie ${cookie} --cookie-jar ${cookie} --insecure "

# login
${curl_cmd} --data "{'username':'${username}', 'password':'${password}'}" "${baseurl}/api/login"

# unifi_authorize_guest
${curl_cmd} --data "json={'cmd':'authorize-guest', 'mac':'${mac}', 'minutes':'${minutes}'}" "${baseurl}/api/s/${site}/cmd/stamgr"

# logout
${curl_cmd} "${baseurl}/logout"
