<?php

/* class.api.php
  Descricao: Classe SMS
  Data: 16/12/2012
  Versao: 1.5.0.5
  Download: http://200.155.77.115/vbs/api/class.api.zip
  Melhoria: rod@wgo.com.br - 26/03/2014
 */
class BrasilFoneSMS implements SMSInterface {
    private $usuario;
    private $senha;
    private $destinatario;
    private $mensagem;
    private $remetente;
    private $id;
    private $endereco;
    private $ch;

    const LIMITE_CARACTERES = 160;

    public function __construct($usuario, $senha, $endereco = 'http://200.155.77.115/vbs/api/api.php') {
        $this->endereco = $endereco;
        $this->usuario = $usuario;
        $this->senha = $senha;

        $this->ch = curl_init();
        curl_setopt($this->ch, CURLOPT_URL, $this->endereco);
        curl_setopt($this->ch, CURLOPT_RETURNTRANSFER, true );
        curl_setopt($this->ch, CURLOPT_POST, true );
    }

    public function send_sms($destinatario, $mensagem, $remetente = '', $data = '') {

        if(strlen($mensagem) > self::LIMITE_CARACTERES) {
            throw new Exception(sprintf("A mensagem deve ter no maximo %d caracteres!", self::LIMITE_CARACTERES));
        }

        $this->destinatario     = $destinatario;
        $this->mensagem         = $mensagem;
        $this->remetente        = $remetente;
        $this->data             = $data;
        $result = $this->transmite_curl(array('option' => 'send_sms', 'usuario' => $this->usuario, 'senha' => $this->senha, 'destinatario' => $this->destinatario, 'mensagem' => $this->mensagem, 'remetente' => $this->remetente, 'data' => $this->data));
        return $result;
    }

    public function send_sms_plus($destinatario, $mensagem, $remetente, $data = '') {
        $this->destinatario     = $destinatario;
        $this->mensagem         = $mensagem;
        $this->remetente        = $remetente;
        $this->data             = $data;
        $result = $this->transmite_curl(array('option' => 'send_sms_plus', 'usuario' => $this->usuario, 'senha' => $this->senha, 'destinatario' => $this->destinatario, 'mensagem' => $this->mensagem, 'remetente' => $this->remetente, 'data' => $this->data));
        return $result;
    }

    public function get_status($id = '') {
        $this->id        = $id;
        $result = $this->transmite_curl(array('option' => 'get_status', 'usuario' => $this->usuario, 'senha' => $this->senha, 'id' => $this->id));
        return $result;
    }

    public function cancel_sms($id = '') {
        $this->id        = $id;
        $result = $this->transmite_curl(array('option' => 'cancel_sms', 'usuario' => $this->usuario, 'senha' => $this->senha, 'id' => $this->id));
        return $result;
    }

    public function get_balance() {
        $result = $this->transmite_curl(array('option' => 'get_balance', 'usuario' => $this->usuario, 'senha' => $this->senha));
        return $result;
    }

    private function transmite_curl($dados_array) {
        curl_setopt($this->ch, CURLOPT_POSTFIELDS, $dados_array);
        $retorno = curl_exec($this->ch);
        return $retorno;
    }

    public function __destruct() {
        curl_close($this->ch);
    }
}
