<?php

/**
 * @todo
 *     - usar PDO com prepared statements
 *     - permitir consultar sem necessidade de especificar o periodo
 */

require '../guest/s/default/vendor/php-activerecord/ActiveRecord.php';
require '../guest/s/default/src/config.php';
require '../guest/s/default/vendor/helpers.php';

if ($_POST) {

    // monta as querys SQL de acordo com as opcoes desejadas
    $inicio = DateToMysql($_POST['inicio']);
    $fim = DateToMysql($_POST['fim']);

    $order = $_POST['ordem'] == 'crescente' ? 'ASC' : 'DESC';
    $tipo = $_POST['tipo'];

    switch ($tipo) {
        case 'acessos_pracas':

            $header = '<strong>Relatório de Qtde de Acessos por Praças</strong>';
            $colunas = array('nome' => 'Nome', 'cidade' => 'Cidade', 'total_acessos' => 'Total Acessos');

            $sql = <<<EOS
select p.nome, p.cidade, count(*) as total_acessos
from acessos a, pontos p, equipamentos_pontos e
where DATE(a.created_at) >= '{$inicio}' and DATE(a.created_at) <= '{$fim}' and a.access_point = e.mac and e.id_ponto = p.id
group by a.access_point
order by total_acessos {$order}
EOS;

            if (trim($_POST['qtde'])) {
                $sql .= " LIMIT {$_POST['qtde']}";
            }

            break;
        case 'acessos_usuarios':

            $header = '<strong>Relatório de Qtde de Acessos por Usuários</strong>';
            $colunas = array('nome' => 'Nome', 'cpf' => 'CPF', 'telefone' => 'Telefone', 'praca' => 'Praça', 'cidade' => 'Cidade', 'total_acessos' => 'Total Acessos');

            $sql = <<<EOS
select u.nome, u.cpf, u.telefone, p.nome as praca, p.cidade, count(*) as total_acessos
from acessos a, users u, pins, pontos p, equipamentos_pontos e
where DATE(a.created_at) >= '{$inicio}' and DATE(a.created_at) <= '{$fim}'
and a.access_point = e.mac
and e.id_ponto = p.id
and pins.mac = a.mac
and pins.user_id = u.id
group by a.mac, a.access_point
order by total_acessos {$order}
EOS;

            if (trim($_POST['qtde'])) {
                $sql .= " LIMIT {$_POST['qtde']}";
            }

            break;

        case 'qtde_usuarios':

            $header = '<strong>Relatório de Qtde de Usuários por Praças</strong>';
            $colunas = array('nome' => 'Praça', 'cidade' => 'Cidade', 'total' => 'Total');

            $sql = <<<EOS
select pontos.nome, pontos.cidade, count(*) as total
from pins, equipamentos_pontos, pontos
where pins.created_at_access_point = equipamentos_pontos.mac and equipamentos_pontos.id_ponto = pontos.id
and DATE(pins.created_at) >= '{$inicio}' and DATE(pins.created_at) <= '{$fim}'
group by equipamentos_pontos.id_ponto
order by total {$order}
EOS;

            if (trim($_POST['qtde'])) {
                $sql .= " LIMIT {$_POST['qtde']}";
            }

          break;
        case 'cadastro_usuarios':

            $header = '<strong>Relatório de Cadastro de Usuários</strong>';
            $colunas = array('nome' => 'Nome', 'cpf' => 'CPF', 'telefone' => 'Telefone', 'praca' => 'Praça', 'created_at' => 'Cadastro');

            $sql = <<<EOS
select u.nome, u.cpf, u.telefone, p.nome as praca, DATE_FORMAT(u.created_at, '%d/%m/%Y %T') as created_at
from users u, pins, equipamentos_pontos e, pontos p
where DATE(u.created_at) >= '{$inicio}' and DATE(u.created_at) <= '{$fim}'
and u.id = pins.user_id and pins.created_at_access_point = e.mac and e.id_ponto = p.id
order by u.created_at {$order}
EOS;

            if (trim($_POST['qtde'])) {
                $sql .= " LIMIT {$_POST['qtde']}";
            }

          break;
        default:
            # code...
            break;
    }

    $qtdeResultados = trim($_POST['qtde']) != '' ? $_POST['qtde'] : 'todos';
    $adapter = ActiveRecord\ConnectionManager::get_connection();
    $connection = $adapter->connection;
}

if (array_key_exists('gerar', $_POST)) {
    $arquivoRelatorio = 'relatorio.csv';
    $handle = fopen($arquivoRelatorio, 'w');
    fputcsv($handle, array_map('fmt_string', array_values($colunas)), ';');

    foreach ($connection->query($sql) as $row) {
        $linha = array();
        $temp = array();
        foreach ($colunas as $campo => $cabecalho) {
            $temp[] = $row[$campo];
        }
        $linha = $temp;
        fputcsv($handle, array_map('fmt_string', $linha), ';');
    }
}

?>
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <title>Catalão Conectado - Relatório de Acessos</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="../guest/s/default/css/bootstrap.css">
    <link rel="stylesheet" type="text/css" href="../guest/s/default/css/jquery-ui.1.10.4.css">
    <style type="text/css">
       #frm, #logo, h1 {
            text-align: center;
        }
    </style>
</head>
<body>
<h1>Catalão Conectado - Relatório de Acessos</h1>
<div id="logo">
    <a href="http://www.catalao.go.gov.br/" title="Catalão Conectado" target="_blank"><img src="../guest/s/default/images/logo_projeto.png" alt="Catalão Conectado" /></a>
    <a href="http://www.wgo.com.br/" title="WGO Telecom" target="_blank"><img src="../guest/s/default/images/wgo.png" alt="WGO Telecom" /></a>
</div>
<br />
<div id="frm">
<form method="post" action="<?=$_SERVER['PHP_SELF']; ?>">
    <label for="tipo">Tipo de Relatório:</label>
    <select name="tipo" id="tipo">
        <option value="acessos_pracas">Qtde acessos por praças</option>
        <option value="acessos_usuarios">Qtde acessos por usuários</option>
        <option value="qtde_usuarios">Qtde de usuários por praças</option>
        <option value="cadastro_usuarios">Cadastro de usuários</option>
    </select>
    <br />
    <br />
    <label for="inicio">Período de:</label>
    <input type="text" id="inicio" maxlength="10" size="11" name="inicio" value="<?=strftime('01/%m/%Y'); ?>">
    <label for="fim">até:</label>
    <input type="text" id="fim" maxlength="10" size="11" name="fim" value="<?=date('t/m/Y'); ?>">
    <br />
    <br />
    <label for="qtde">Qtde de resultados:</label>
    <input type="text" name="qtde" id="qtde" size="4" value="100" maxlength="4">
    <br />
    <br />
    <label for="ordem">Ordenação:</label>
    <select name="ordem" id="ordem">
        <option value="decrescente">Decrescente</option>
        <option value="crescente">Crescente</option>
    </select>
    <br />
    <br />
    <input type="submit" class="btn btn-info" name="exibir" value="Exibir relatório">
    <input type="submit" class="btn btn-warning" name="gerar" value="Gerar arquivo .csv">
</form>
</div>

<?php
if ($_POST) {
    echo '<br />';
    echo '<div class="alert alert-success">';

    if (array_key_exists('exibir', $_POST)) {
        echo $header.' - Período de <strong>'.$_POST['inicio'].' até '.$_POST['fim']
                     ."</strong> (exibindo <strong>{$qtdeResultados}</strong> resultados em ordem <strong>{$_POST['ordem']}</strong>)";
    } else { // arquivo .csv gerado
        echo $header.' - Período de <strong>'.$_POST['inicio'].' até '.$_POST['fim']
                     ."</strong> (obtendo <strong>{$qtdeResultados}</strong> resultados em ordem <strong>{$_POST['ordem']}</strong>): "
                     ."<a href='{$arquivoRelatorio}' title='Salvar Arquivo'><strong>Salvar Arquivo!</strong></a>";
    }

    echo '</div>';
}
?>
<?php if (array_key_exists('exibir', $_POST)) {
    ?>
<table class="table table-striped table-condensed table-hover">
    <thead>
        <tr>
            <?php
                echo '<th>Seq.</th>';
    foreach ($colunas as $campo => $cabecalho) {
        echo "<th>{$cabecalho}</th>";
    }
    ?>
        </tr>
    </thead>
    <tbody>
        <?php
            $i = 1;
    foreach ($connection->query($sql) as $row) {
        echo '<tr>';
        echo "<td>{$i}</td>";
        foreach ($colunas as $campo => $cabecalho) {
            echo "<td>{$row[$campo]}</td>";
        }
        ++$i;
        echo '</tr>';
    }
    ?>
    </tbody>
</table>
<?php

} // <?php if (array_key_exists('exibir', $_POST)) {
?>

<script src="../guest/s/default/js/jquery.min.js"></script>
<script src="../guest/s/default/js/jquery-ui.min.1.10.3.js"></script>
<script type="text/javascript">
    $(function() {

        $.datepicker.regional['pt-BR'] = {
            closeText: 'Fechar',
            prevText: 'Anterior',
            nextText: 'Próximo',
            currentText: 'Hoje',
            monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho',
                'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'
            ],
            monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun',
                'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'
            ],
            dayNames: ['Domingo', 'Segunda-feira', 'Terça-feira', 'Quarta-feira', 'Quinta-feira', 'Sexta-feira', 'Sábado'],
            dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sab'],
            dayNamesMin: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sab'],
            weekHeader: 'Sm',
            dateFormat: 'dd/mm/yy',
            firstDay: 0,
            isRTL: false,
            showMonthAfterYear: false,
            yearSuffix: ''
        };

        $.datepicker.setDefaults($.datepicker.regional['pt-BR']);

        var dataDe = $('input[name="inicio"]');
        var dataAte = $('input[name="fim"]');

        dataDe.datepicker();
        dataAte.datepicker();

    });
</script>
</body>
</html>
